﻿Imports Windows.Storage.Pickers
Imports Windows.Storage
Public Class ImageInfo
    Public Property 画像名 As BitmapSource
End Class
Public NotInheritable Class MainPage
    Inherits Page
    Private myFolder As StorageFolder
    Private myFileCollections As IReadOnlyCollection(Of IStorageFile)

    Private Async Sub openFolderButton_Click(sender As Object, e As RoutedEventArgs) Handles openFolderButton.Click
        GridView1.ItemsSource = Nothing
        Dim myFolderPicker = New FolderPicker
        myFolderPicker.SuggestedStartLocation = PickerLocationId.PicturesLibrary
        myFolderPicker.FileTypeFilter.Add(".jpg")
        myFolderPicker.FileTypeFilter.Add(".png")
        myFolder = Await myFolderPicker.PickSingleFolderAsync
        myFileCollections = Await myFolder.GetFilesAsync
        If myFolder Is Nothing = False Then
            ProgressRing1.IsActive = True
            ProgressRing1.IsEnabled = True
            Dim myImageInfo As New List(Of ImageInfo)
            For Each result In myFileCollections
                Dim myBmp As New BitmapImage
                myBmp.SetSource(Await result.OpenReadAsync)
                myImageInfo.Add(New ImageInfo With {.画像名 = myBmp})
            Next
            GridView1.ItemsSource = myImageInfo
           
            ProgressRing1.IsActive = False
            ProgressRing1.IsEnabled = False
        Else
            ProgressRing1.IsActive = False
            ProgressRing1.IsEnabled = False
            Exit Sub
        End If

    End Sub
End Class
