﻿Imports Windows.Storage.Pickers
Imports Windows.Storage

Public NotInheritable Class MainPage
    Inherits Page
    Private myFile As StorageFile

    Private Async Sub openButton_Click(sender As Object, e As RoutedEventArgs) Handles openButton.Click
        Try
            Image1.Source = Nothing
            Dim myFilePicker = New FileOpenPicker
            myFilePicker.SuggestedStartLocation = PickerLocationId.PicturesLibrary
            myFilePicker.FileTypeFilter.Add(".jpg")
            myFilePicker.FileTypeFilter.Add(".png")
            myFile = Await myFilePicker.PickSingleFileAsync
            If myFile Is Nothing = False Then
                Dim myBmp As New BitmapImage
                myBmp.SetSource(Await myFile.OpenReadAsync)
                Image1.Source = myBmp
                TextBlock1.Text = myFile.Name
            Else
                Exit Sub
            End If
        Catch
            Exit Sub
        End Try
    End Sub
End Class

